summaryrefslogtreecommitdiff
path: root/apache-httpd-server.configure
diff options
context:
space:
mode:
authorRichard Maw <richard.maw@codethink.co.uk>2015-03-23 21:06:52 +0000
committerPedro Alvarez <pedro.alvarez@codethink.co.uk>2015-04-10 10:55:30 +0000
commit98e9ed19baef4dc75ba602b22fb79a7f1a6ae1ca (patch)
tree27fb4cf59255a93938d88dbda4f5d8605a2f83b3 /apache-httpd-server.configure
parentdb69462e11589277fbbd79827570867abdcb5436 (diff)
downloaddefinitions-98e9ed19baef4dc75ba602b22fb79a7f1a6ae1ca.tar.gz
WIP: Add OpenStack initial configuration
TODO: Split this out into: 1. initial config (openstack/etc) default values 2+. as many individual changes to initial config as possible to extract, including support scripts and configuration extensions
Diffstat (limited to 'apache-httpd-server.configure')
-rw-r--r--apache-httpd-server.configure23
1 files changed, 23 insertions, 0 deletions
diff --git a/apache-httpd-server.configure b/apache-httpd-server.configure
new file mode 100644
index 00000000..a2a5e2f9
--- /dev/null
+++ b/apache-httpd-server.configure
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# Copyright (C) 2015 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+ROOT="$1"
+
+ln -sf "/etc/systemd/system/apache-httpd.service" \
+ "$ROOT/etc/systemd/system/multi-user.target.wants/apache-httpd.service"